=== debian/rules ===
#!/usr/bin/make -f

# DEB_ENABLE_TESTS = yes
DEB_CABAL_PACKAGE = tf-random
DEB_DEFAULT_COMPILER = ghc

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk
